@import '../../../theme';

$bevelAngle: 10px;

.right-side-border {
  display: flex;
  .parameters-font{
    background-color: #606580;
  }
  .parameters{
    background-color: #20222e;
    margin: 1px 1px 1px 0;
    padding: 10px 10px 12px 50px;
    width: 100px;

    .up {
      display: flex;
      margin-top: 5px;
      p{
        margin-top: 0;
        margin-bottom: 0;
        width: 100%;
        span.value{
          color: white;
          margin: 3px 0 0 0;
          font-size: 20px;
        }
        span.percentage{
          margin: 3px 0 0 10px;
       }
        .success{
          color: $color-success;
        }
        .warning{
          color: $color-warning;
        }
      }
    }

    p.pkm{
      color: #BCE4FA;
      margin-top: 8px;
      margin-bottom: 3px;
    }

  }
  .graph{
    height: inherit;
    width: 85px;
    position: relative;
    left: 40px;
    z-index: 1;
  }

  ::ng-deep{
    .arc__back{
      fill: rgb(140, 153, 178);
      stroke: rgb(140, 153, 178);
      stroke-width: 8px;
    }

    .arc__unit{
      fill: white;
    }
    .warning{
      .arc__unit{
        fill: $color-warning !important;
      }
    }
  }

}

.shadow {
  clip-path: polygon(
      0% 0px,
      0px 0%,
      calc(100% - 10px) 0%,
      100% 10px,
      100% calc(100% - 10px),
      calc(100% - 10px) 100%,
      0px 100%,
      0% calc(100% - 0px)
  );
}
